petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFileRetrieve

Obtains a library from a URL or compressed and copies into local disk space as uncompressed.

### Synopsis

    PetscErrorCode  PetscFileRetrieve(MPI_Comm comm,const char libname[],char llibname[],size_t llen,PetscBool  *found)

Collective on MPI_Comm Many br

### Input Parameter

| comm | - processors accessing the library Many br
| libname | - name of library, including entire URL (with or without .gz) Many br
| llen | - length of llibname Many br

### Output Parameter

| llibname | - name of local copy of library Many br
| found | - if found and retrieved the file Many br

Many br

Level:developer
Location:src/sys/fileio/fretrieve.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages